# EasyPims UI

This project was generated with Angular version 12.1.2.

## Development server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory.


## Translations

In order to add translations, install [this i18n helper library](https://www.npmjs.com/package/ngx-i18nsupport).

To generate translations, add "i18n" within HTML tags or use the $localize'Stuff to translate' within the component.ts.
Then run this command to generate the new master translation file:

`ng xi18n --output-path i18n`

And then, to update the language files run:

`xliffmerge --profile .\translation_conf.json`

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via a platform of your choice. To use this command, you need to first add a package that implements end-to-end testing capabilities.

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI Overview and Command Reference](https://angular.io/cli) page.
